Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.auth
Class Authenticate

    java.lang.Object
      |
      +--weblogic.security.auth.Authenticate

public final class Authenticate
extends java.lang.Object

Authenticate a user and add Principals to the Subject.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Constructor Summary
`Authenticate()`

Method Summary
`static void` | `authenticate(Environment env, javax.security.auth.Subject subject)` Execute WLS client login using supplied environment parameters, add authenticated user to subject
`static void` | `logout(javax.security.auth.Subject subject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authenticate

    public Authenticate()

Method Detail

### authenticate

    public static void authenticate(Environment env,
                                    javax.security.auth.Subject subject)
                             throws javax.security.auth.login.LoginException,
                                    java.io.IOException,
                                    java.rmi.RemoteException

  Execute WLS client login using supplied environment parameters, add authenticated user to subject

### logout

    public static void logout(javax.security.auth.Subject subject)
                       throws javax.security.auth.login.LoginException,
                              java.io.IOException,
                              java.rmi.RemoteException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference